import type { AnonCredsProof, AnonCredsProofRequest, AnonCredsSelectedCredentials } from '../models';
import type { AgentContext } from '@aries-framework/core';
export declare function getRevocationRegistriesForRequest(agentContext: AgentContext, proofRequest: AnonCredsProofRequest, selectedCredentials: AnonCredsSelectedCredentials): Promise<{
    revocationRegistries: {
        [revocationRegistryDefinitionId: string]: {
            tailsFilePath: string;
            definition: import("../models").AnonCredsRevocationRegistryDefinition;
            revocationStatusLists: {
                [timestamp: number]: import("../models").AnonCredsRevocationStatusList;
            };
        };
    };
    updatedSelectedCredentials: AnonCredsSelectedCredentials;
}>;
export declare function getRevocationRegistriesForProof(agentContext: AgentContext, proof: AnonCredsProof): Promise<{
    [revocationRegistryDefinitionId: string]: {
        definition: import("../models").AnonCredsRevocationRegistryDefinition;
        revocationStatusLists: {
            [timestamp: number]: import("../models").AnonCredsRevocationStatusList;
        };
    };
}>;
